Name:           tint2
Version:        0.11
Release:        13%{?dist}
Summary:        A lightweight X11 desktop panel and task manager

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://code.google.com/p/tint2
Source0:        http://tint2.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  cmake gtk2-devel
BuildRequires:  pango-devel cairo-devel
BuildRequires:  libXinerama-devel imlib2-devel
BuildRequires:  libXdamage-devel libXcomposite-devel
BuildRequires:  libXrender-devel libXrandr-devel
Requires:       tintwizard

Patch0: %{name}-add-power-now-support.patch

%description
tint2 is a simple panel/taskbar made for modern X window managers. It was
specifically made for Openbox3 but should also work with other window managers
(GNOME, KDE, etc...). It's based on ttm code http://code.google.com/p/ttm/.

%prep
%setup -q
%patch0 -p1

%build
mkdir -p build
pushd build
%{cmake} -DENABLE_EXAMPLES=ON ..
popd

%install
make install DESTDIR=%{buildroot} -C build

# Drop docdir and put examples/ in %%doc
mv %{buildroot}%{_defaultdocdir}/%{name}/examples .
rm -rf %{buildroot}%{_defaultdocdir}

# Remove tintwizard.py and package it separately
rm -rf %{buildroot}%{_bindir}/tintwizard.py

# create tint2 config directory
mkdir -p %{buildroot}%{_sysconfdir}/skel/.config/tint2/

%files
%doc AUTHORS ChangeLog COPYING INSTALL.txt README README.source examples/
%{_bindir}/%{name}
%{_bindir}/tint2conf
%config(noreplace) %{_sysconfdir}/xdg/%{name}/tint2rc
%{_sysconfdir}/skel/.config/tint2/
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/default_icon.png
%{_datadir}/applications/tint2conf.desktop
%{_datadir}/pixmaps/tint2conf*
%{_mandir}/man1/%{name}.*

%changelog
* Wed Mar 18 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.11-13
- create tint2 config directory

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 24 2013 Germán A. Racca <skytux@fedoraproject.org> - 0.11-9
- Added dependency on tintwizard (BZ#880626)
- Replaced tabs by spaces in spec file

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Germán A. Racca <skytux@fedoraproject.org> 0.11-5
- Fixed unowned directory (BZ#744930)

* Wed Jun 01 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 0.11-4
- Adding tint2-add-power-now-support.patch (BZ#709821)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Germán A. Racca <gracca@gmail.com> 0.11-2
- Removed tintwizard.py because it was packaged separately

* Fri Jul 02 2010 German A. Racca <gracca@gmail.com> 0.11-1
- New version 0.11
- Used %%{cmake} to perform compilation
- Compiled with examples enabled
- Now really fixed BuildRequires

* Thu Apr 22 2010 German A. Racca <gracca@gmail.com> 0.9-2
- Fixed BuildRequires

* Fri Mar 26 2010 German A. Racca <gracca@gmail.com> 0.9-1
- New version 0.9

* Sat Mar 20 2010 German A. Racca <gracca@gmail.com> 0.8-2
- Rearrangement of some commands for good rpm practice
- Removed zero-length file

* Fri Jan 15 2010 German A. Racca <gracca@gmail.com> 0.8-1
- New version

* Mon Dec 21 2009 German A. Racca <gracca@gmail.com> 0.7.1-1
- Initial release of RPM package
